import {
	WeaTools
} from 'ecCom';

export const getHasRight = (params) => {
	return WeaTools.callApi('/api/hrm/sanyuan/secAuditorLog/getHasRight', 'GET', params);
}

export const getRightMenu = (params) => {
	return WeaTools.callApi('/api/hrm/sanyuan/secAuditorLog/getRightMenu', 'GET', params);
}

export const getSearchCondition = (params) => {
	return WeaTools.callApi('/api/hrm/sanyuan/secAuditorLog/getSearchCondition', 'GET', params);
}

export const getLoginLogList = (params) => {
	return WeaTools.callApi('/api/hrm/sanyuan/secAuditorLog/getLoginLogList', 'GET', params);
}

export const getOperateLogList = (params) => {
	return WeaTools.callApi('/api/hrm/sanyuan/secAuditorLog/getOperateLogList', 'GET', params);
}

export const exportExcelLog = (params) => {
	return WeaTools.callApi('/api/hrm/sanyuan/secAuditorLog/exportExcelLog', 'POST', params);
}

export const viewdetail = (params) => {
	return WeaTools.callApi('/api/hrm/sanyuan/transLog/viewDetail', 'GET', params);
}

export const trans = (params) => {
	return WeaTools.callApi('/api/hrm/sanyuan/transLog/transLog', 'GET', params);
}